Summary:		Ratfiv fortran preprocessor
Name:			ratfiv
Version:		1.0.6
Release:		1%{?dist}
Source0:		%name-%version.tar.xz
URL:			http://sauvy.ined.fr/~brouard/%{name}
License:		GPL
Group:			Development/Other
Buildrequires:		gcc gcc-gfortran
Buildrequires:		make

%description
This is ratfiv (ratfor -> rat4 -> rat5) a fortran preprocessor which 
was used on VAX system and adapted to Linux and co.

%prep
%setup -q

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/%_bindir
install -m755 stage1/ratfiv $RPM_BUILD_ROOT/%_bindir
install -m755 r/g77 $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
install -m644 doc/ratfiv.man $RPM_BUILD_ROOT/%_mandir/man1/ratfiv.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README doc/%{name}.doc doc/%{name}.pdf doc/%{name}.html
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Nov 21 2023 Nicolas Brouard <brouard@ined.fr> - 1.0.6-1
- first version for Fedora and gcc-gfortran compiler

* Mon Jan 02 2006 Lenny Cartier <lenny@mandriva.com> 1.0.5-2mdk
- rebuild

* Wed Jun 02 2004 Nicolas Brouard <nicolas.brouard@libertysurf.fr> 1.0.5-1mdk 
- initial contribs version of ratfiv package

